The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / targetcli-fb / S50target
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/targetcli-fb/S50target b/cirros-testvm/src-cirros/buildroot-2015.05/package/targetcli-fb/S50target
new file mode 100755 (executable)
index 0000000..88290e4
--- /dev/null
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# Restore / clear the Linux "SCSI target" driver configuration with `targetctl`
+#
+
+start() {
+       local ret
+
+       echo -n "Restoring target configuration: "
+       /usr/bin/targetctl restore >/dev/null 2>&1
+       ret=$?
+       echo "done"
+
+       return $ret
+}
+
+stop() {
+       local ret
+
+       echo -n "Clearing target configuration: "
+       /usr/bin/targetctl clear >/dev/null 2>&1
+       ret=$?
+       echo "done"
+
+       return $ret
+}
+
+restart() {
+       stop
+       start
+}
+
+case "$1" in
+       start)
+               start
+               ;;
+       stop)
+               stop
+               ;;
+       restart)
+               restart
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               exit 1
+esac